<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MultiFileUploadGadget1.Models.FileUploadData>" %>

<%@ Import Namespace="EPiServer.Core" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>




<div class="epi-smallPaddingHorizontal epi-formArea">
    <% Html.BeginGadgetForm("SaveSettings"); %>
    <fieldset>
        <legend>Settings</legend>
        <div class="epi-size15">
            <label>
                <span>Default folder to use</span>
                <%= Html.TextBox("Settings.DefaultFolder", Model.Settings.DefaultFolder, new { id = "targetFolder_" + Model.GadgetId })%>
                <input type="button" value="select folder" onclick="acme.openconfigurationbrowser('<%= Model.GadgetId %>')"  />
                
                
            </label>
        </div>
     
        <div class="epi-buttonRow">
            <%= Html.AcceptButton( )%>
            
          
            <%= Html.CancelButton() %>
        </div>
        <input type="hidden" name="Settings.GadgetId" value="<%= Model.GadgetId %>" />
    </fieldset>
    <% Html.EndForm(); %>
</div>
<script type="text/javascript">

    function SelectFolder(gadgetid) {
        var url = '/Content/Dialogs/FolderBrowserDialog.aspx';
        var dialogArguments = new Object();
        var features = { width: 400 };
        var callbackArguments = new Object();
        callbackArguments.GadgetId = gadgetid;

        EPi.CreateDialog(url, OnFolderBrowserDialogClosed, callbackArguments, dialogArguments, features);
    }

    function OnFolderBrowserDialogClosed(returnValue, callbackArguments) {
        if (returnValue != undefined && returnValue != 0) {
            $("#targetFolder_" + callbackArguments.GadgetId).val(returnValue.Path);
        }
    }

</script>